For AI agents: the complete documentation index is available at /es/llms.txt, the full documentation bundle is available at /es/llms-full.txt, and this page is available as Markdown at /es/api/currency-conversion/create.md.
  • Español
  • Crear conversión interna (paso 1 de 2)

    Generado a partir de la especificación OpenAPI de Finity.

    URL basehttps://api2.finity.com.co

    Conversión de moneda

    POST/v0/convert/internal

    Create internal conversion (Step 1 of 2-step process)

    Create an internal conversion with UNCONFIRMED status. This is the first step of a 2-step conversion process.

    Requiere token Bearer

    Solicitud

    Este endpoint no requiere parámetros.

    Cuerpo JSON *

    fromAsset *: USD | USD
    toAsset *: COP
    amount *: number
    exchange_rate_id: string
    expires_at: string (date-time)

    Respuestas

    200Internal conversion created successfully with UNCONFIRMED status.
    id: string
    status: UNCONFIRMED | SUCCESS | FAILURE
    from_currency: string
    to_currency: string
    from_amount: string
    to_amount: string
    exchangeRate: string
    400Bad Request. Invalid amount or insufficient balance.
    message: string
    error: string
    statusCode: integer
    401Unauthorized.
    statusCode: integer
    message: string
    error: string

    Probar en vivo

    Live request

    Try this endpoint

    Configure the request and send it directly to the Finity API.

    POST
    Code language

    Authentication

    Use a Bearer token to authorize this request.

    Optional

    Request body

    Send a JSON payload with this request.

    JSON
    Request URLProduction
    POSThttps://api2.finity.com.co/v0/convert/internal
    Generated Shell requestReady to copy
    curl -X POST \
      'https://api2.finity.com.co/v0/convert/internal' \
      -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
      -H 'Content-Type: application/json' \
      -d '{}'